summaryrefslogtreecommitdiff
path: root/dev-python/PyPDF2/PyPDF2-2.2.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-14 16:28:51 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-14 16:28:51 +0000
commitf62bd856fb32890878bfcf1c30a28d5be7a1fce5 (patch)
tree9a64b28d019fb66e924844d2cf88677aa18e4ec5 /dev-python/PyPDF2/PyPDF2-2.2.0.ebuild
parent4f6f4506e42746db60e51b5bd9c5d0374a0d960a (diff)
downloadbaldeagleos-repo-f62bd856fb32890878bfcf1c30a28d5be7a1fce5.tar.gz
baldeagleos-repo-f62bd856fb32890878bfcf1c30a28d5be7a1fce5.tar.xz
baldeagleos-repo-f62bd856fb32890878bfcf1c30a28d5be7a1fce5.zip
Adding metadata
Diffstat (limited to 'dev-python/PyPDF2/PyPDF2-2.2.0.ebuild')
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.2.0.ebuild56
1 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/PyPDF2/PyPDF2-2.2.0.ebuild b/dev-python/PyPDF2/PyPDF2-2.2.0.ebuild
new file mode 100644
index 000000000000..6f7c47c39cbe
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.2.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=41b5cd4f774f8fbd8ac42d93b9962f0376352a15
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/PyPDF2/
+ https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+ https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Needs network access
+ tests/test_workflows.py::test_extract_textbench
+ "tests/test_page.py::test_page_operations[https://arxiv.org/pdf/2201.00029.pdf-None]"
+ tests/test_reader.py::test_iss925
+
+ # Broken test
+ tests/test_utils.py::test_deprecate_no_replacement
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+ fi
+}